Package org.eclipse.gef.dot.internal.ui

# Class DotContentPartFactory

java.lang.Object
org.eclipse.gef.dot.internal.ui.DotContentPartFactory

All Implemented Interfaces:
  `org.eclipse.gef.mvc.fx.parts.IContentPartFactory`

public class DotContentPartFactory extends Object implements org.eclipse.gef.mvc.fx.parts.IContentPartFactory
The implementation of this class is mainly taken from the org.eclipse.gef.zest.fx.parts.ZestFxContentPartFactory java class. Modification added: usage of DotEdgeLabelPart instead of EdgeLabelPart.

## Constructor Summary

Constructors
Constructor
Description
`DotContentPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.gef.mvc.fx.parts.IContentPart<? extends javafx.scene.Node>`
`createContentPart(Object content, Map<Object,Object> contextMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotContentPartFactory

public DotContentPartFactory()

## Method Details

### createContentPart

public org.eclipse.gef.mvc.fx.parts.IContentPart<? extends javafx.scene.Node> createContentPart(Object content, Map<Object,Object> contextMap)

Specified by:
  `createContentPart` in interface `org.eclipse.gef.mvc.fx.parts.IContentPartFactory`